/*
  HEADER FILE
  
  Log it inorder to debug easily: 
    functions for logging anything

  Ehsan Foroughi 
  ParsAI Team
  Sharif University of Tech.

 */

#ifndef _LOGS_H
#define _LOGS_H

#ifndef _logs_extern_
#define _logs_extern_ extern
#endif

#include "world/types.h"

#include "utils.h"

_logs_extern_ void report_error(char *msg);

_logs_extern_ void get_server_error(char *msg);

_logs_extern_ void logmsg(char *msg);

_logs_extern_ void logrcvdmsg(char *msg);

_logs_extern_ void logplayerstate(void);

_logs_extern_ void logcounters(void);

_logs_extern_ void logobjstates(void);

#endif /* !_LOGS_H */
