/*
  SKILLS : HEADER FILE
  
  Shooting skills: 
    shoot toward goal
    double shoot

  Hamed Hatami
  Ehsan Foroughi 
  ParsAI Team
  Sharif University of Tech.

 */

#ifndef _SKILLS_SHOOT_H
#define _SKILLS_SHOOT_H

#ifndef _skills_shoot_extern_
#define _skills_shoot_extern_ extern
#endif

#define NORMAL_SHOOTING_R  22.0 
//#define GOAL_SHOOTING_X    30.0

#include "../headers.h"

class c_shoot2goal: public c_base_skill
{
 public:
  void update_bytime(void);
  bool possible(void);
  double weight(void);
  void perform(void);

  double best_dir(void);
 protected:
  void calc_value(void);
  void calc_possibility(void);

  void calc_direction(int noise);

  Command com2send;
  double value;
  double dir;
  bool can_shoot2goal;
  
  bool valcalculated;
  bool poscalculated;
};

class c_double_kick: public c_base_skill
{
 public:
  c_double_kick(void);
  void update_bytime(void);
  void initiate(double d);
  bool possible(void);
  double weight(void);
  void perform(void);
 protected:
  void calculate(void);

  Command com2send;
  double value;
  double dir;
  bool double_kick_inprogress;
  int last_kicked_time;
  bool finished;

  bool calculated;
};

_skills_shoot_extern_ c_shoot2goal shoot2goal;

_skills_shoot_extern_ c_double_kick double_kick;

#endif
