/*
  BEHAVIORS : HEADER FILE
  
  Behaviors:
    None play_on behavior
    Not seen ball behavior
    Player neck behavior
    Goaler play behavior
    Player play behavior

  Ehsan Foroughi 

  ParsAI Team
  Sharif University of Tech.

 */

#ifndef _BEHAVIORS_BEHAVIORS_H
#define _BEHAVIORS_BEHAVIORS_H

#ifndef _behaviors_behaviors_extern_
#define _behaviors_behaviors_extern_ extern
#endif

#include "../headers.h"

_behaviors_behaviors_extern_ void non_play_on_behavior(void);

_behaviors_behaviors_extern_ bool not_seen_ball_behavior(void);

_behaviors_behaviors_extern_ void player_neck_behavior(void);

_behaviors_behaviors_extern_ void player_view_behavior(void);

_behaviors_behaviors_extern_ void goaler_play_behavior(void);

_behaviors_behaviors_extern_ void player_play_behavior(void);

_behaviors_behaviors_extern_ void kick_off_behavior(void);

#endif
