#ifndef WORLD_COMMAND_H
#define WORLD_COMMAND_H

#ifndef _world_command_extern_
#define _world_command_extern_ extern
#endif

#include "../headers.h"

_world_command_extern_ void move(double x, double y);
_world_command_extern_ void turn(double moment);
_world_command_extern_ void dash(double power);
_world_command_extern_ void kick(double power, double dir);
_world_command_extern_ void gcatch(double dir);
_world_command_extern_ void turn_neck(double dir);
_world_command_extern_ void change_view(ViewWidth width,ViewQuality quality);
_world_command_extern_ void say(char *msg);
_world_command_extern_ void eye(bool state);

_world_command_extern_ bool perform_command(Command &com);

_world_command_extern_ void say_world_model(void);
_world_command_extern_ void coach_say_world_model(void);

_world_command_extern_ void neck2angle(double dir);
_world_command_extern_ void neck2ball(void);
_world_command_extern_ void neck2zero(void);

#endif
